*{
	margin:0;
	padding:0;
	border:0;
	outline:none;
}
a{ 
	text-decoration: none; 
}
body {
	background: url("../data/pattern/2.png") repeat;
}



#hap-wrapper{
	font-family: Helvetica, Arial, sans-serif;
	position: fixed;
	top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display:none;
}


.hap-btn{
	display: none;
	height:100%;
}
.hap-contr-btn{
	width: 50px;
	height: 50px;
	float: left;
	position: relative;
	cursor: pointer;
	background: #ededed;
}
.hap-contr-btn svg{
	color:#555;
}
.hap-btn:hover svg,
.hap-contr-btn:hover > svg,
.hap-contr-btn-hover svg{
	color:#fff!important;
} 
.hap-contr-btn svg{
	position: absolute;
	top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
	height: 15px;
	fill:currentColor;
	transition: color .1s ease-out;
}

.hap-playback-toggle-wrapper{
	position:absolute;
	width:100px;	
	height:100px;
	border-radius: 100%;
	top: 90px;
    left: 50%;
    transform: translate(-50%, 0);
  	background: rgba(100,100,100,0.01);
  	display: none;
}
.hap-playback-toggle{
	position:absolute;
	width:50px;	
	height:50px;
	left:50%;
	top:50%;
	-webkit-transform: translate(-50%, -50%);
  	-ms-transform: translate(-50%, -50%);
  	transform: translate(-50%, -50%);
  	background: none;
}
.hap-playback-toggle svg{
	height:30px;
	color: #ccc;
}

.hap-player-controls{
	position:fixed;
	width:50px;	
	bottom:0;
	right:0;
	height: 200px;
}
.hap-share-holder{
	position: fixed;
	left: 50%;
	top: 50%;
    transform: translate(-50%, -50%);
	max-width:600px;
	width:100%;
	background:rgb(237,237,237);
	box-shadow: 0 0 8px 0 rgba(0, 0, 0, 0.1);
	z-index:50;
	padding:20px 20px 10px 20px;
	display: none;
	box-sizing: border-box; 
}
.hap-info-data{
	max-height: 300px;
}
.hap-player-title{
	color:rgb(17,17,17);
	margin:0;
	margin-right: 20px;
	margin-bottom: 10px;
	padding:0;
	font-size:17px;
}
.hap-player-desc{
	color:rgb(17,17,17);
	margin:0;
	margin-right: 20px;
	margin-bottom: 10px;
	padding:0;
	overflow: hidden;
	max-height: 150px;
	 display: -webkit-box;
    -webkit-line-clamp: 5;
    -webkit-box-orient: vertical;  
    font-size:13px;
}
.hap-share-holder-inner{
	position: relative;
}
.hap-share-item{
	position: relative;
    bottom: 0px;
    left: 0px;
    width: 25px;
    height: 30px;
    margin-right: 10px;
    text-align: center;
    float: left;
}
.hap-share-close{
	position: absolute;
    right: 0;
    top: 0;
    height: 50px;
    width: 50px;
	cursor: pointer;
}
.hap-volume-toggle{
	width:50px;	
	height:50px;
}
.hap-volume-seekbar{
	position:absolute;
	left:-100px;
	top:0;
	width:100px;
	height:50px;
	display:none;
	cursor: pointer;
	touch-action: none;
	background:#ededed !important;
}
.hap-volume-wrapper:hover .hap-volume-seekbar{
	display: block;
}
.hap-volume-bg{
	position:absolute;
	width:80px;
	height:2px;
	background:#777;
	left:10px;
	top:24px;
}
.hap-volume-level{
	position:absolute;
	height:100%;
	background:#fff;
	left:0;
	top:0;
}




#hap-playlist-list{
	display:none;
}
.hap-playlist-holder{
	position:relative;
	top:0;
	left:0;
	width:100%;
	height:100%;
}
.hap-playlist-inner{
	height:100%;
}
.hap-playlist-content{
	display: flex;
    flex-wrap: wrap;
    flex-direction: row;
}
.hap-playlist-item{
	position: relative;
	margin:10px;
	overflow: hidden;
	text-align: center;
	width:100%;
	max-width: 230px;
}

.hap-playlist-item-content {
	color:#ccc;
}
.hap-playlist-item-selected .hap-playlist-title-wrap{
	color:#D081FD;
}
.hap-playlist-item-selected .hap-playlist-thumb{
	border:3px solid rgba(0,0,0,0);
}
.hap-playlist-info{
	margin-top: 10px;
    position: relative;
    display: flex;
    justify-content:center;
}
.hap-playlist-title-wrap{
	font-size:16px;
	position: relative;
}
.hap-playlist-thumb{
	display: block;
	position:relative;
	margin-top:20px;
	height: 230px;
	left:50%;
	border-radius: 100%;
	border:3px solid #ddd;
	overflow:hidden;
	-webkit-box-sizing: border-box; 
	-moz-box-sizing: border-box;    
	box-sizing: border-box;   

	-webkit-backface-visibility: hidden;
    -moz-backface-visibility: hidden;
    -webkit-transform: translate3d(-50%, 0, 0);
    -moz-transform: translate3d(-50%, 0, 0);
    -webkit-mask-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAIAAACQd1PeAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAA5JREFUeNpiYGBgAAgwAAAEAAGbA+oJAAAAAElFTkSuQmCC);
}
.hap-playlist-thumb img{
	position: relative;
	display:block;
	height:auto;
	min-width:100%;
	max-width: none!important;
	min-height: 100%;
	top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) rotate(0deg);
     -webkit-transition: -webkit-transform .3s ease-in-out, opacity 500ms;
    transition: transform .3s ease-in-out, opacity 500ms;
}

.hap-playlist-item-selected .hap-playlist-thumb img {
    animation-name: hap_rotate; 
    animation-duration: 20s; 
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

@keyframes hap_rotate {
    from {transform: translate(-50%, -50%) rotate(0deg);}
    to {transform: translate(-50%, -50%) rotate(360deg);}
}


.hap-download, .hap-link{
	text-align: center;
	min-width: 30px;
	height: 30px;
	float: left;
	border: 0!important;
	box-shadow: none!important;
	position: relative;
}
.hap-download svg,
.hap-link svg{
	position: absolute;
	top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
	height: 16px;
	fill:currentColor;
	transition: color .1s ease-out;
	color: #ccc;
}
.hap-download:hover svg,
.hap-link:hover svg{
	color:#D081FD;
}


.hap-circle-player{
	position: absolute;
	top:0;
	left:0;/*cannot be display:none!*/
	height: 230px;
	width: 230px;
	margin-top: 20px;
	border-radius: 100%;
	opacity: 1;/*cannot be display:none!*/
}
.hap-circle-player-set{
	left:50%;
	-webkit-transform: translate(-50%, 0);
    -ms-transform: translate(-50%, 0);
    transform: translate(-50%, 0);
	opacity:1;
}
.hap-load-canvas,
.hap-progress-canvas{
	position:absolute;
	display: block;
	cursor: pointer;
	touch-action: none;
}



.hap-preloader {
	position:fixed;
	top:50%;
	left:50%;
    width: 40px;
    height: 40px;
    margin-left:-20px;
	margin-top:-20px;
    background-color: #D081FD;
    -webkit-animation: hap_preloader 1.2s infinite ease-in-out;
    animation: hap_preloader 1.2s infinite ease-in-out;
}
@-webkit-keyframes hap_preloader {
    0% { -webkit-transform: perspective(120px) }
    50% { -webkit-transform: perspective(120px) rotateY(180deg) }
    100% { -webkit-transform: perspective(120px) rotateY(180deg)  rotateX(180deg) }
}
@keyframes hap_preloader {
    0% { 
	    transform: perspective(120px) rotateX(0deg) rotateY(0deg);
	    -webkit-transform: perspective(120px) rotateX(0deg) rotateY(0deg) 
    } 50% { 
	    transform: perspective(120px) rotateX(-180.1deg) rotateY(0deg);
	    -webkit-transform: perspective(120px) rotateX(-180.1deg) rotateY(0deg) 
    } 100% { 
	    transform: perspective(120px) rotateX(-180deg) rotateY(-179.9deg);
	    -webkit-transform: perspective(120px) rotateX(-180deg) rotateY(-179.9deg);
    }
}



.hap-tooltip{
	position:absolute;
	background: #D081FD;
	color:#fff!important;
	box-shadow: 1px 1px 3px #666;
	text-align:center;
	z-index:10000;
	pointer-events:none;
	display:none;
	font-size:12px!important;
	padding:2px 5px !important;
	line-height:20px !important;
	white-space:nowrap;
}

.hap-hidden {
	opacity: 0; 
	filter: alpha(opacity=0); 
}
.hap-visible {
	opacity: 1;
	-webkit-transition: opacity 500ms ease-out;
	-moz-transition: opacity 500ms ease-out;
	transition: opacity 500ms ease-out;
}


.hap-youtube-holder,
.hap-iframe-blocker{
	position:absolute;
	top:0;
	left:0;
	width:100%;
	height:100%;
	overflow:hidden;
}	
.hap-media{
	width: 100%;
    height: 100%;
    position:absolute;
    user-select: none;
    visibility: visible;
    top:0;
    left:0;
    max-width:none!important;
}